package com.yame;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

import com.mxgraph.io.mxCodec;
import com.mxgraph.util.mxXmlUtils;
import com.mxgraph.view.mxGraph;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.apache.log4j.*;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * GraphTest
 */

public class GraphTest {

    private final Logger log = LoggerFactory.getLogger(GraphTest.class.getName());

    @Test
    public  void TestCase1() {
        mxGraph graph = new mxGraph();
        Path path = Paths.get(AppTest.testPath + "1.xml");
        try {
            String xmlString = Files.readString( path );
            Document doc = mxXmlUtils.parseXml(xmlString);
            mxCodec code = new mxCodec(doc);
            Object a = code.decode(doc.getParentNode());
            log.debug(a.toString());
            // log.debug(mxXmlUtils.getXml( a));
        } catch (Exception e) {
            // e.printStackTrace();
            log.error("Case1", e);
        }
        
        
    }
}